%global rbname rrd
Summary: The extension library to use rrdtool from Ruby.
Name: ruby-%{rbname}

%global momorel 3

Version: 1.1
Release: %{momorel}m
Group: Development/Libraries
License: GPL
URL: http://people.ee.ethz.ch/~oetiker/webtools/rrdtool/pub/contrib/

%NoSource 0 http://people.ee.ethz.ch/~oetiker/webtools/rrdtool/pub/contrib/%{name}-%{version}.tar.gz e88d7b4675c557ff70f89fb462d0de57

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby 
BuildRequires: ruby-devel >= 1.8.0
BuildRequires: rrdtool-devel

%description
The extension library to use rrdtool from Ruby.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q

%build
ruby extconf.rb
make sitedir=%{_libdir}/ruby

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
make install sitedir=%{buildroot}%{_libdir}/ruby

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README test.rb
%{ruby_archdir}/RRD.so

%changelog
* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (1.1-3m)
- merge from ruby-1_8-branch.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (1.1-2m)
- rebuild against ruby-1.8.0.

* Fri Nov 14 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1-1m)
- version up

* Fri Aug  1 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0-1m)
- first release.
